%define	name	yiff
%define	version 2.14.2
%define release 2mdk
%define major	2
%define	libname %mklibname %name %major

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	YIFF Sound Systems
License: 	GPL
Group: 		System/Servers
Source:		http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Patch:		%{name}.build.patch.bz2
Url: 		http://wolfpack.twu.net/YIFF/index.html
BuildRequires:	gtk+-devel
BuildRequires:	zlib1-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
YIFF is a high performance, stable, and fully  documented sound server for UNIX
games and applications. It employs a network transparent API which allows 
multiple client programs to access sound capabilities in a similar way to how X
clients do graphics.

Run yiffconfig after install to generate a starty script.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	libY2
Provides:	libY2

%description -n %{libname}
This package contains the library needed to run programs dynamically linked 
with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libY2-devel
Provides:	libY2-devel

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup
%patch -p1

%build
%make CFLAGS="$RPM_OPT_FLAGS" linux

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/sounds
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
# move man from /usr to /usr/share
mv $RPM_BUILD_ROOT/%{_prefix}/man $RPM_BUILD_ROOT/%{_mandir}
install -m 644 yiff/yiffrc $RPM_BUILD_ROOT/%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL INSTALL_MANUAL LICENSE README
%config(noreplace) %{_sysconfdir}/*
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man8/*
%{_datadir}/icons/*
%{_datadir}/sounds/*

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc LICENSE
%{_includedir}/*
%_libdir/*.so

%changelog
* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.14.2-2mdk
- rebuild
- rpmbuildupdate aware

* Tue Aug 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.14.2-1mdk
- 2.14.2

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.14.1-2mdk
- rebuild for new rpm devel computation

* Thu Jun 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.14.1-1mdk
- 2.14.1
- cleaned patch

* Sun May 11 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.4-9mdk
- %{libname}-devel provides lib%{name}-devel

* Thu May 08 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.4-8mdk
- rebuild
- use %mklibame macro
- changed library package name to %{libname}
- added missing man pages
- proper build flags

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.4-7mdk
- buildrequires zlib1-devel
- no explicit requires

* Fri Oct 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.12.4-6mdk
- rebuild for dependencies.

* Tue Oct 23 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 2.12.4-5mdk 
- rebuild for rpmlint

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.12.4-4mdk
- rebuild

* Fri Jun 22 2001 Etienne Faure    <etienne@mandrakesoft.com> 2.12.4-3mdk
- rebuild for contribs

* Mon May 07 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.4-2mdk
- new source file, as the first one was corrupted

* Sat May 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.4-1mdk
- 2.12.4
- corrected requires tag
- corrected file list to make rpmlint happy

* Thu Feb 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.3-1mdk
- 2.12.3

* Tue Feb 06 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.2-2mdk
- added yiffconfig corrections
- added instruction to description

* Sat Feb 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.2-1mdk
- first Mandrake release
